Skip to main content
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
/
versions
/
{versionId}
Get App Version
curl --request GET \
  --url https://api.example.com/api/apps/beta/apps/{appId}/versions/{versionId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "createdAt": 123,
  "environmentId": "<string>",
  "environmentRevisionId": "<string>",
  "extendedIdentityPropagationToAppsEnabled": true,
  "externalVolumeMountIds": [
    "<string>"
  ],
  "hardwareTierId": "<string>",
  "id": "<string>",
  "netAppVolumeIds": [
    "<string>"
  ],
  "tags": [
    {
      "key": "<string>",
      "value": "<string>"
    }
  ],
  "updatedAt": 123,
  "autoscalingSpecification": {
    "enabled": true,
    "maxReplicas": 15,
    "minReplicas": 15,
    "scaleDownStabilizationWindowSeconds": 1800,
    "scaleUpStabilizationWindowSeconds": 1800,
    "targetCpuAvgUtilizationPct": 50,
    "targetMemoryAvgUtilizationPct": 50,
    "useSessionAffinity": true
  },
  "bundleId": "<string>",
  "bundleName": "<string>",
  "currentInstance": {
    "createdAt": 123,
    "id": "<string>",
    "status": "<string>",
    "describeUrl": "<string>"
  },
  "dfsCommitId": "<string>",
  "entryScript": "<string>",
  "gitRef": {
    "value": "<string>"
  },
  "publisher": {
    "id": "<string>",
    "name": "<string>"
  },
  "vanityUrl": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required

The id of the app to retrieve a version for.

versionId
string
required

The id of the app version to retrieve.

Response

Success

createdAt
number<epoch>
required
environmentId
string
required
environmentRevisionId
string
required
extendedIdentityPropagationToAppsEnabled
boolean
required
externalVolumeMountIds
string[]
required
hardwareTierId
string
required
id
string
required
netAppVolumeIds
string[]
required
tags
object[]
required
updatedAt
number<epoch>
required
autoscalingSpecification
object
bundleId
string
bundleName
string
currentInstance
object
dfsCommitId
string
entryScript
string

Optional inline script to execute instead of the app's entry point. If provided, this script will take precedence over the entry point.

gitRef
object
publisher
object
vanityUrl
string